﻿using System.Net;
using Microsoft.Extensions.Logging;

namespace EnvelopeCreatorProject.Models.Signers
{
    public class StandardSigner: OAuthSigner
    {
        public StandardSigner(ILogger<OAuthSigner> logger) : base(logger)
        {
        }

        internal override void SetHeaderCollection(HttpWebRequest request)
        {
            request.Headers.Add("Authorization", "bearer " + this.AuthToken);
        }
    }
}
