﻿using EnvelopeCreatorProject.DocusignAPI;
using System.ComponentModel;

namespace EnvelopeCreator.DocusignAPI
{
    public class HtmlTab : Tab
    {
        public bool Locked { get; set; }
        public bool Required { get; set; }
        [DefaultValue("")]
        public string TabLabel { get; set; }
        [DefaultValue("")]
        public string Value { get; set; }
        public bool Shared { get; set; }
        public FontColor FontColor { get; set; }
        public bool Selected { get; set; }
        public string Width { get; set; }

        public HtmlTab()
        {
            TabLabel = string.Empty;
            Value = string.Empty;
        }
    }

}
